Skip to main content

Create system bypass rule

Action ID: tools.vercel_security.create_system_bypass_rule Create new system bypass rules. Calls POST /v1/security/firewall/bypass directly. Reference: https://vercel.com/docs/rest-api/security/create-system-bypass-rule

Secrets

Required secrets:
  • vercel: required values VERCEL_API_TOKEN.

Input fields

object
required
API-native request body. Documented fields: domain or projectScope (one required), sourceIp, allSources, ttl (time to live in milliseconds), note (max 500 characters).
string
required
Project ID.
string | null
Vercel REST API base URL.Default: null.
string | null
The Team slug to perform the request on behalf of.Default: null.
string | null
The Team identifier to perform the request on behalf of.Default: null.

Put firewall configuration

Action ID: tools.vercel_security.put_firewall_configuration Set the firewall configuration to provided rules and settings. Creates or overwrites the existing firewall configuration. Calls PUT /v1/security/firewall/config directly. Reference: https://vercel.com/docs/rest-api/security/put-firewall-configuration

Secrets

Required secrets:
  • vercel: required values VERCEL_API_TOKEN.

Input fields

object
required
API-native request body. Documented fields for PUT /v1/security/firewall/config: firewallEnabled (required), managedRules, crs, rules, rulesets, ips, botIdEnabled, logHeaders.
string
required
Project ID.
string | null
Vercel REST API base URL.Default: null.
string | null
The Team slug to perform the request on behalf of.Default: null.
string | null
The Team identifier to perform the request on behalf of.Default: null.

Read active attack data

Action ID: tools.vercel_security.read_active_attack_data Retrieve active attack data within the last N days (default: 1 day). Calls GET /v1/security/firewall/attack-status directly. Reference: https://vercel.com/docs/rest-api/security/read-active-attack-data

Secrets

Required secrets:
  • vercel: required values VERCEL_API_TOKEN.

Input fields

string
required
Project ID.
string | null
Vercel REST API base URL.Default: null.
number | null
Number of days to look back.Default: null.
string | null
The Team slug to perform the request on behalf of.Default: null.
string | null
The Team identifier to perform the request on behalf of.Default: null.

Read firewall actions by project

Action ID: tools.vercel_security.read_firewall_actions_by_project Retrieve firewall actions for a project. Calls GET /v1/security/firewall/events directly. Reference: https://vercel.com/docs/rest-api/security/read-firewall-actions-by-project

Secrets

Required secrets:
  • vercel: required values VERCEL_API_TOKEN.

Input fields

string
required
Project ID.
string | null
Vercel REST API base URL.Default: null.
number | null
End timestamp of the time range to retrieve firewall actions for.Default: null.
string | null
Hosts to filter firewall actions by.Default: null.
string | null
The Team slug to perform the request on behalf of.Default: null.
number | null
Start timestamp of the time range to retrieve firewall actions for.Default: null.
string | null
The Team identifier to perform the request on behalf of.Default: null.

Read firewall configuration

Action ID: tools.vercel_security.read_firewall_configuration Retrieve the specified firewall configuration for a project. The deployed configVersion will be active. Calls GET /v1/security/firewall/config/{configVersion} directly. Reference: https://vercel.com/docs/rest-api/security/read-firewall-configuration

Secrets

Required secrets:
  • vercel: required values VERCEL_API_TOKEN.

Input fields

string
required
Project ID.
string | null
Vercel REST API base URL.Default: null.
string
The deployed configVersion for the firewall configuration. Use active for the deployed configuration.Default: "active".
string | null
The Team slug to perform the request on behalf of.Default: null.
string | null
The Team identifier to perform the request on behalf of.Default: null.

Read system bypass

Action ID: tools.vercel_security.read_system_bypass Retrieve the system bypass rules configured for the specified project. Calls GET /v1/security/firewall/bypass directly. Reference: https://vercel.com/docs/rest-api/security/read-system-bypass

Secrets

Required secrets:
  • vercel: required values VERCEL_API_TOKEN.

Input fields

string
required
Project ID.
string | null
Vercel REST API base URL.Default: null.
string | null
Filter by domain.Default: null.
number | null
Maximum number of bypass rules to return.Default: null.
string | null
Used for pagination. Retrieves results after the provided id.Default: null.
boolean | null
Filter by project scoped rules.Default: null.
string | null
The Team slug to perform the request on behalf of.Default: null.
string | null
Filter by source IP.Default: null.
string | null
The Team identifier to perform the request on behalf of.Default: null.

Remove system bypass rule

Action ID: tools.vercel_security.remove_system_bypass_rule Remove system bypass rules. Calls DELETE /v1/security/firewall/bypass directly. Reference: https://vercel.com/docs/rest-api/security/remove-system-bypass-rule

Secrets

Required secrets:
  • vercel: required values VERCEL_API_TOKEN.

Input fields

object
required
API-native request body. Documented fields: domain or projectScope (one required), sourceIp, allSources, note (max 500 characters).
string
required
Project ID.
string | null
Vercel REST API base URL.Default: null.
string | null
The Team slug to perform the request on behalf of.Default: null.
string | null
The Team identifier to perform the request on behalf of.Default: null.

Update attack challenge mode

Action ID: tools.vercel_security.update_attack_challenge_mode Update the setting for determining if the project has Attack Challenge mode enabled. Calls POST /v1/security/attack-mode directly. Reference: https://vercel.com/docs/rest-api/security/update-attack-challenge-mode

Secrets

Required secrets:
  • vercel: required values VERCEL_API_TOKEN.

Input fields

object
required
API-native request body. Documented fields: projectId (required), attackModeEnabled (required), attackModeActiveUntil (timestamp; omit to leave the mode active until it is disabled).
string | null
Vercel REST API base URL.Default: null.
string | null
The Team slug to perform the request on behalf of.Default: null.
string | null
The Team identifier to perform the request on behalf of.Default: null.

Update firewall configuration

Action ID: tools.vercel_security.update_firewall_configuration Process updates to modify the existing firewall config for a project. Calls PATCH /v1/security/firewall/config directly. Reference: https://vercel.com/docs/rest-api/security/update-firewall-configuration

Secrets

Required secrets:
  • vercel: required values VERCEL_API_TOKEN.

Input fields

object
required
API-native request body with fields action, id, value. Documented actions include firewallEnabled, rules.insert, rules.update, rules.remove, rules.priority, crs.update, crs.disable, ip.insert, ip.update, ip.remove, managedRules.update, and named-condition, ruleset, bot ID and log-header updates; the shape of value depends on the action.
string
required
Project ID.
string | null
Vercel REST API base URL.Default: null.
string | null
The Team slug to perform the request on behalf of.Default: null.
string | null
The Team identifier to perform the request on behalf of.Default: null.